<?php

use App\Http\Controllers\Currencies\Rates\FetchRateController;
use App\Http\Controllers\Currencies\Rates\ListRatesController;
use App\Http\Controllers\Currencies\Rates\CalculateRateController;
use App\Http\Controllers\Currencies\Rates\CreateRateController;
use App\Http\Controllers\Currencies\Rates\UpdateRateController;
use App\Http\Controllers\Currencies\Rates\DeleteRateController;
use Illuminate\Support\Facades\Route;

Route::group(['prefix' => 'currency-rate'], function () {
    Route::get('/{id}/show', [FetchRateController::class, 'fetch'])->name('show');
    Route::get('/list', [ListRatesController::class, 'list'])->name('list');
    Route::get('/calculate', [CalculateRateController::class, 'calculate'])->name('calculate');
    Route::post('/create', [CreateRateController::class, 'create'])->name('create');
    Route::put('/update/{id}', [UpdateRateController::class, 'update'])->name('update');
    Route::delete('/delete/{id}', [DeleteRateController::class, 'delete'])->name('delete');
});
